#ifndef NODEVICEWIDGET_H
#define NODEVICEWIDGET_H

#include <QWidget>
#include <QLabel>
#include <QPaintEvent>
#include <QVBoxLayout>

class NoDeviceWidget : public QWidget
{
    Q_OBJECT
public:
    explicit NoDeviceWidget(QWidget *parent = nullptr);

    QLabel *m_PageIcon = nullptr;
    QLabel *m_PageText = nullptr;
    QVBoxLayout *m_pageVLayout = nullptr;
protected:
    void paintEvent(QPaintEvent *event) Q_DECL_OVERRIDE;

private:
    void init();

};

#endif // NODEVICEWIDGET_H
